Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class IPC.IPCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  ix.util.IPC.IPCException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AppletCommunicationStrategy.ConnectFailure, IPC.BrokenConnectionException

Enclosing class:
  IPC

    public static class IPC.IPCException

extends java.lang.RuntimeException

The exception thrown by IPC methods. These exceptions are thrown in place of whatever exceptions are thrown internally (such as IOExceptions) in order to hide the internal details.

See Also:
  Serialized Form

Field Summary
`(package private) java.lang.Throwable` | `reason`

Constructor Summary
`IPC.IPCException()`
`IPC.IPCException(java.lang.String message)`
`IPC.IPCException(java.lang.String message, java.lang.Throwable reason)`
`IPC.IPCException(java.lang.Throwable reason)`

Method Summary
`java.lang.Throwable` | `getReason()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reason

    java.lang.Throwable reason

Constructor Detail

### IPC.IPCException

    public IPC.IPCException()

### IPC.IPCException

    public IPC.IPCException(java.lang.String message)

### IPC.IPCException

    public IPC.IPCException(java.lang.Throwable reason)

### IPC.IPCException

    public IPC.IPCException(java.lang.String message,
                            java.lang.Throwable reason)

Method Detail

### getReason

    public java.lang.Throwable getReason()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD